import { ElementRef, EventEmitter, OnInit } from '@angular/core';
import { DatePickerComponent, IDatePickerConfig } from 'ng2-date-picker';
import { CommonService } from '../../../services/common.service';
import { FrequencyService } from '../../frequency/frequency.service';
import * as i0 from "@angular/core";
export declare class FrequencyDialogOneTimeComponent implements OnInit {
    private frequencyService;
    private commonService;
    datePicker: DatePickerComponent;
    datepickerOverlay: boolean;
    showDateError: boolean;
    oneTimeFailed: number;
    oneTimeWindow: number;
    oneTimeStartTime: any;
    oneTimeSelected: string;
    dateConfig: IDatePickerConfig;
    todayDate: Date;
    frequencyInfo: any;
    shortMonth: Array<string>;
    dateObjectData: Date;
    minDate: string;
    selectedDate: any;
    oneTimeExtension: number;
    oneTimeWindowOpen: number;
    frequencyData: any;
    mode: any;
    frequencyDetails: EventEmitter<any>;
    datePickerPopUp: ElementRef;
    constructor(frequencyService: FrequencyService, commonService: CommonService);
    ngOnInit(): void;
    formatDate(): string;
    populateFrequency(): void;
    openDatePicker(): void;
    closeDatepicker(): void;
    onValueChange(event: any): void;
    onWindowOpenChange(event: any): void;
    onExtensionChange(event: any): void;
    onTimeChanged(event: any): void;
    dateChange(event: any): void;
    getOneTimeFrequency(): void;
    documentClick(event: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FrequencyDialogOneTimeComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FrequencyDialogOneTimeComponent, "app-frequency-dialog-one-time", never, { "frequencyData": { "alias": "frequencyData"; "required": false; }; "mode": { "alias": "mode"; "required": false; }; }, { "frequencyDetails": "frequencyDetails"; }, never, never, false, never>;
}
